Subject: UKTeX Digest V94 #03
From: [email-masked]
To: UKTeX Distribution: ;
Date: Fri, 21 Jan 1994 18:20:32 +0000

UKTeX Digest    Friday, 21 Jan 1994    Volume 94 : Issue 03

   ``The UKTeX Digest is brought to you as a free, unfunded and voluntary
        service of the UK TeX Users Group and the UK TeX Archive.''

Today's Topics:
 {Questions & Answers}:
        RE: problems with mfjob and dviscr in emTeX & dc fonts
        RE: problems with mfjob and dviscr in emTeX & dc fonts
                    Query: SUN, HP Deskjet driver
                       dcb8.mf at magstep half
                     Re: dcb8.mf at magstep half
                         dc fonts and LaTeX2e
                       Re: dc fonts and LaTeX2e
                    One for the gurus, I think....

Administrivia:
    Moderators:     Peter Abbott (Aston University) and
                    David Osborne (University of Nottingham)
    Contributions:  [email-masked]
    Administration, subscription and unsubscription requests:
                    [email-masked]

----------------------------------------------------------------------

Date:    Sat, 15 Jan 1994 00:03:11 +0000
From:    Manuel Carriba <[email-masked]>
Subject: RE: problems with mfjob and dviscr in emTeX & dc fonts

Mike Piff <[email-masked]> writes:

> Can anyone get mfjob to work generating cmtt8 at 5pt? For me, it seems
> undecided whether to work out 300*0.625=187.5 as 187 or 188. Consequently, it
> correctly generates the font, but calls it cmtt8.188; then, dviscr refuses to
> find the font as it is looking for cmtt8.187 presumably. 

To quote the emTeX FAQ of a similar problem:

    That's a rounding problem.  As temporary fix, add the size of the
    font as generated by MFjob to the list of font sizes searched by
    the driver.  For instance, if the driver wants cmr10<746.63959>
    and MFjob puts the font into the 746dpi directory (instead of
    747dpi), use

        /fz:+746

    (You might want to add that option it to the batch file or to the
    configuration file.)

> I was looking from the point of view of using emTeX and mfjob to generate
> missing fonts. The natural way to do this is to hook up mfjob to the dvi
> drivers so that they write a batch job for mfjob to generate missing fonts.
> However, to do that they need a dvi file, and to get a dvi file TeX needs the
> tfm file to be there. But to get the tfm file you need to generate the font...

You can include in your MFJob batch file the line (see mfjob.doc):

        output=[c:\emtex\tfm]

Manuel Carriba ([email-masked])

------------------------------

Date:    17 Jan 1994 09:33:58
From:    Mike Piff <[email-masked]>
Subject: RE: problems with mfjob and dviscr in emTeX & dc fonts

%>
%>> I was looking from the point of view of using emTeX and mfjob to generate
%>> missing fonts. The natural way to do this is to hook up mfjob to the dvi
%>> drivers so that they write a batch job for mfjob to generate missing fonts.
%>> However, to do that they need a dvi file, and to get a dvi file TeX needs the
%>> tfm file to be there. But to get the tfm file you need to generate the font...
%>
%>You can include in your MFJob batch file the line (see mfjob.doc):
%>
%>    output=[c:\emtex\tfm]
%>
%>Manuel Carriba ([email-masked])
%>
Not if hanging mfjob off dviscr/dvihplj you can't! You can't even *generate*
the .dvi file without the .tfm file, so mfjob never gets a look in.

Several kind souls did donate the .tfm files. In fact, you need to generate
at least one size of every dc font needed by LaTeX to get all of them, and
that is quite a lot. I think they need bundling with emTeX before they will
be widely used.

I solved the other problem by going back to \dpi@r\@f.pk format. Your
solution would not work as it would involve other users having to add their
resolution to the fontsizes list. I have now removed the fontsizes list
completely. I cannot predict myself which sizes they are likely to require.
(This is on a Derwent copy of TeX that I look after for the maths school.)

Mike

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Dr M J Piff, School of Mathematics and Statistics, University of %%
%% Sheffield, UK.                    e-mail: [email-masked] %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

------------------------------

Date:    Mon, 17 Jan 1994 12:03:03 +0100
From:    "Johannes L. Braams" <[email-masked]>
Subject: Query: SUN, HP Deskjet driver

        I have a SUN and an HP Deskjet printer. Does anyone know of a
        driver for that printer which runs on the SUN?

        Johannes Braams

PTT Research,                           P.O. box 421,
2260 AK Leidschendam,                   The Netherlands.
Phone    : +31 70 3325051               E-mail : [email-masked]
Fax      : +31 70 3326477

------------------------------

Date:    17 Jan 1994 12:09:07
From:    Mike Piff <[email-masked]>
Subject: dcb8.mf at magstep half

I get error messages when mfjob tries to generate this font; consequently,
mfjob fails. Any idea what is wrong?

Mike Piff

This is METAFONT (mf386), Version 2.71 [3c-beta1] (preloaded base=dxbase
93.9.10)  17 JAN 1994 12:03
**&dxbase \mode=localfont; mag=1.09544; input dcb8
(dcb8.mf (m:\mfinputs\dcb.mf (m:\mfinputs\dxroman.mf (m:\mfinputs\dxruwest.mf
[192] [193] [194] [195] [209] [196] [197] [198] [199] [200] [201] [202]
[203] [204] [205] [206] [207] [208] [210] [211] [212] [213] [214] [215]
[216]
! bad pos (breadth of current pen wider than pos width).
<to be read again>
                   ;
pos->...urrent pen wider than pos width)";
                                          fi.fi(x(SUFFIX2)r-x(SUFFIX2...
l.744 pos4(cap_hair,0)
                      ; pos5(cap_hair,0);

                     [...more errors deleted...]

> 0 WSW 1 (SSW) SSE ESE 2 3 ENE NNE 4 5 6 ENE 7 (ESE SSE) SSW 8 WSW 9 10 WNW
NN
W 11 0 (WNW)
! Strange path (turning number is zero).
<to be read again>
                   ;
l.750  & pulled_arc.e(3,4)&z4e--z5e;
                                     % arc and right stem
The path doesn't have a counterclockwise orientation,
so I'll probably have trouble drawing it.
(See Chapter 27 of The METAFONTbook for more help.)

                     [...more errors deleted...]

[53] [54] [55] [56] [57]) (m:\mfinputs\dxrligtb.mf) ) ) )
Font metrics written on dcb8.tfm.
Output written on dcb8.329gf (256 characters, 23968 bytes).

------------------------------

Date:    Tue, 18 Jan 1994 15:58:51 +1100
From:    [email-masked]
Subject: Re: dcb8.mf at magstep half 

Mike Piff wrote:

% I get error messages when mfjob tries to generate this font; consequently,
% mfjob fails. Any idea what is wrong?

Nothing too serious, I expect.  Fonts sometimes do this, at some
(unpredictable?) magnifications.

% ! bad pos (breadth of current pen wider than pos width).

This is a new one to me.  Hopefully, it's a mere technicality, like:

% ! Strange path (turning number is zero).

This is a mildly common complaint; I haven't seen it degrade the
printed appearance of a font, though, so I just ignore it.

% Font metrics written on dcb8.tfm.
% Output written on dcb8.329gf (256 characters, 23968 bytes).

See, Metafont didn't stop, and you got your font, in one piece.

How to make MFjob ignore the error status returned by Metafont?
Eberhard Mattes has thought of this.  In MFJOB.DOC, he wrote:

        /i    Ignore errors produced by METAFONT.
              ...
              When working at low resolutions, ..., errors like
              `Strange path' or `Bad pos' will occur more frequently.

Well, what do you know?  (I didn't know that!)

So, run MFjob with the /i option:

        mfjob /i jobfile

Since MFjob (version 1.1l) is often called by the DVIDRV programs
(version 1.4s) for automatic fontmaking, add /i to the environment
variable MFJOBOPT:

        set MFJOBOPT=/i

I use mf386, so I have:

        set MFJOBOPT=/i/3

Geoffrey Tobin

------------------------------

Date:    17 Jan 1994 12:51:36
From:    Mike Piff <[email-masked]>
Subject: dc fonts and LaTeX2e

Type 1 encoded LaTeX2e needs dcss8 at 5 points. However, mfjob chokes on this
with the following error message. What should I/LaTeX2e do?

Mike Piff
		     [...METAFONT log deleted...]

------------------------------

Date:    Mon, 17 Jan 1994 14:19:00 +0000
From:    [email-masked]
Subject: Re: dc fonts and LaTeX2e

>Type 1 encoded LaTeX2e needs dcss8 at 5 points. However, mfjob chokes on this
>with the following error message. What should I/LaTeX2e do?

This is a `feature' of the dc fonts, which they have in common with
the cm fonts.  They tend to die at small resolutions.  Usually the
best thing to do is make sure MF is running in non-stop mode, and
ignore any error messages!

Alan.

------------------------------

Date:    Wed, 19 Jan 1994 16:44:45 +0000
From:    Philip Taylor (RHBNC) <[email-masked]>
Subject: One for the gurus, I think.... 

According to _The TeXbook_, p.~214, \input is expandable: the expansion is
null, but ``TeX prepares to read from the specified file before looking
at any more tokens from its current source'' (loc. cit.)

So, what might we expect from \expandafter \end \input foo ?

In practice, the specified file is _not_ processed; _but_ the log
file shews it as having been opened and closed! (The same is true
if \end is replaced by \endinput).

And what _does_ trigger the `read[ing] from the specified file',
as opposed to the `prepar[ing] to read'?

                                Philip Taylor, RHBNC

------------------------------
                                        
                       UK TeX ARCHIVE at ASTON UNIVERSITY
                              >>>  UK.AC.TEX  <<<
                                        
                  *** Interactive and file transfer access ***
                                     JANET:
                          uk.ac.tex (DTE 000020120091)
                       Username: public, Password: public
                                   Internet:
              tex.ac.uk [134.151.79.28] -- telnet/rlogin, anonymous ftp
             ftp.tex.ac.uk [134.151.79.32] -- anonymous ftp, gopher, NFS
               For telnet access, login: public, password: public
      For anonymous ftp, login: anonymous, password: <your-e-mail-address>
                                        
                              *** Mail server ***
                    Send mail to [email-masked] (JANET)
                   or [email-masked] (rest of the world)
                   with message body containing the word HELP
                                        
\section FILES OF INTEREST

    [tex-archive]00readme.txt
    [tex-archive]00index.files        [tex-archive]0000index.zip_vve
    [tex-archive]00last7days.files    [tex-archive]00last7days.zip_vve
    [tex-archive]00last30days.files   [tex-archive]00last30days.zip_vve

    [tex-archive.doc]TeX-FAQ.txt    (Frequently Asked Questions list)
    [tex-archive.doc]FAQ-Supplement-*.txt    (FAQ supplement)

\section DIGESTS

    This year's UKTeX back issues are stored in the archive in directory
      [tex-archive.digests.uktex.93]
    This year's TeXhax back issues are stored in the archive in directory
      [tex-archive.digests.texhax.93]
      Latest TeXhax: V93 #17

\section MEDIA DISTRIBUTIONS
    Postal addresses are given below.

\subsection Washington Unix TeX distribution tape
    Latest copy of May/June 1991 contains:
    TeX 3.14, LaTeX 2.09, Metafont 2.7, plus many utilities
    suitable for Unix 4.2/4.3BSD & System V
    tar format, 1 file (36Mb)

       One Quarter-Inch Cartridge, QIC-120 or QIC-150 format (DC600A or DC6150)
       sent with envelope AND stamps for return postage to **Nottingham**
       (Due to currency exchange, this service is offered only within the UK)

\section TeX IMPLEMENTATIONS FOR SMALL COMPUTERS

\subsection OzTeX for Macintosh
    No longer distributed on disk from Aston, though it continues
    to be available in the Archive for network access.

    Available on disk from TeX Users Group; mail TUG for details.

\subsection emTeX (for OS/2, PC-DOS and MS-DOS)
    Distribution currently being arranged; see announcement in later
    issues of UKTeX.

    Also available on disk from TeX Users Group; mail TUG for details.

\subsection TeX for the Atari ST
    All enquiries for disks etc. should be directed to:
    The South West Software Library, P.O. Box 562, Wimborne, Dorset BH21 2YD
    JANET: [email-masked]   Internet: [email-masked]

\section POSTAGE RATES
    Quarter-inch cartridges:
            UK: 1.00,  Europe: 2.00.

\section POSTAL ADDRESSES
    Please include SELF-ADDRESSED ADHESIVE LABELS for return postage.

    Peter Abbott
    Information Systems, Aston University, Aston Triangle, Birmingham B4 7ET
    JANET: [email-masked]   Internet: [email-masked]

    David Osborne
    Cripps Computing Centre, University of Nottingham, Nottingham NG7 2RD
    (for Quarter-inch cartridges ONLY -- must include stamps for return postage)
    JANET: [email-masked]
    Internet: [email-masked]

    TeX Users Group
    P.O. Box 869, Santa Barbara, CA 93102, USA.
    Internet: [email-masked]
    
\section UK TeX USERS GROUP
    Details available from
    Jonathan Fine, 203 Coldhams Lane, Cambridge CB1 3HY, UK
    JANET: [email-masked]
    Internet: [email-masked]

\bye

End of UKTeX Digest [Volume 94 Issue 3]
***************************************